
uses
  SysUtils, Classes;

var
  SL: TStringList;
  i: integer;
  
begin
  if ParamCount <> 2 then
    Exit;
  
  SL := TStringList.Create;
  try
    //SL.Sorted := TRUE;
    SL.LoadFromFile(ParamStr(1));
    
    for i := Pred(SL.Count) downto 0 do
      //if Length(SL[i]) in [74, 79] then
      if Length(SL[i]) > 1 then
      else
      begin
        WriteLn('DELETING "', SL[i], '"');
        SL.Delete(i);
      end;
    SL.SaveToFile(ParamStr(2));
  finally
    SL.Free;
  end;
end.
